<ejs-dialog #confirmDialog [visible]='false' [animationSettings]='animationSettings' [showCloseIcon]='true' 
        width=500 isModal="true">
        <ng-template #header>
                <div title="{{wfContent?.DELETE_WORKFLOW}}" class="e-icon-settings dlg-template"> {{wfContent?.DELETE_WORKFLOW}} </div>
            </ng-template>
            <ng-template #content>
                <p>{{wfContent?.DELETE_CONFIRM}}</p>
            </ng-template>
            <div class="form-group container">
                <div class="submitBtn">
                    <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset" (click)= "cancelRuleSet()">{{wfContent?.DELETE_CONFIRM_Y}}</button>
                    <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset" (click)= "dont_delete_file()">{{wfContent?.DELETE_CONFIRM_N}}</button>
                </div>
            </div>
</ejs-dialog>
        
<nav class="navbar navbar-custom justify-content-between">
<!-- <span routerLink="/workflow" class="cursor-pointer">
    <em class="fa fa-chevron-left"></em> 
</span> -->
<div class="float-left">
    <H2 class="nav_logo heading_style">{{wfContent?.Workflow}}</H2>
    <p class='sub-heading'><small>{{wfContent?.Sub_Heading}}</small><small *ngIf="screenId=='workflow'"> &nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp; Workspace : <strong>{{workflow_name}}</strong></small></p>
</div>
<div>
    <button class="btn" (click)="openConfirmDialog()">{{wfContent?.cancel}}</button> 
    <button class="btn btn-dark" (click)="callrulesave()" [disabled]="!enableSave">{{wfContent?.save}}</button> 
</div>
</nav>
<div class="control-section e-tab-section">
    <div class="e-sample-resize-container" style="height: 50%">
        <!-- Render the Tab Component -->
        <ejs-tab id="tab_wizard" #tab heightAdjustMode='None' height='250px' (selected)="tabtoggle($event)">
            <e-tabitems>
<!-- -----------------------------------------------------Input Page--------------------------------------------------- -->
                <e-tabitem [header]='headerText[0]'>
                    <ng-template #content>
                        <app-input (executetabswitch)="switchtab()" [screenId]="screenId"></app-input>
                    </ng-template>
                </e-tabitem>
<!-- ----------------------------------------------------- Input Page End ----------------------------------------------------- -->

<!-- ----------------------------------------------------- Rule Set Page Start ----------------------------------------------------- -->
                <e-tabitem [header]='headerText[1]' disabled='true'>
                    <ng-template #content>
                        <app-rule [screenId]="screenId"></app-rule>
                    </ng-template>
                </e-tabitem>
            </e-tabitems>
        </ejs-tab>
    </div>
    
</div>